Bug 593218 - Alert Notification: fails to default select the alert sender type once clicked on save
Alert Notification: fails to default select the alert sender type once clicke...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.0
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: jon24-alert-notify 599691
  Show dependency treegraph
 
Reported: 2010-05-18 04:26 EDT by Sudhir D
Modified: 2010-08-12 12:48 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 599691 (view as bug list)
Environment:
Last Closed: 2010-08-12 12:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sudhir D 2010-05-18 04:26:17 EDT
Description of problem:
While creating a new alert sender type, the page fails to default select the alert sender type that is being configured upon.

Version-Release number of selected component (if applicable):
Build# 152.

How reproducible:
Always

Steps to Reproduce:
1.Create a new alert definition.
2.Click on Edit for the Alert Notification.
3.On the Alert notification page, click on Add New. Select the Alert sender type as Resource Operations.
4.Select the resource selection mode as Relative Resource. 
5.Click Save
  
Actual results:
Page gets refreshed and the alert sender type is not selected by default even though the configuration for that type is not complete yet.

Expected results:
Once page is refreshed, the alert sender type, upon which the configuration is still pending, should be selected by default.

Additional info:
Comment 1 Corey Welton 2010-06-10 14:04:48 EDT
commit 2674a1413dd7f6edaf2f4757d508125fdbabd6f5
Author: Joseph Marques <joseph@redhat.com>
Date:   Thu Jun 10 05:18:02 2010 -0400

    BZ-599691: automatically reselect the active notification each time "SAVE"
is pressed

    figure out which one should be selected from the backing store.  updating
    an alert notification will overwrite all existing notifications with the
    latest data.  since the ids of the alert notifications are different after
    a save-action, but since we know what the updated data, we can select the
    correct one by testing for data equality (instead of pk/id equality).
Comment 2 Corey Welton 2010-06-10 14:14:09 EDT
QA Verified.
Comment 3 Corey Welton 2010-08-12 12:48:43 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.